using System.Windows.Forms;
using System.Resources;

string escCh = "@COMMA";
string resxPath = Path.Combine(Path.GetDirectoryName(ScriptFilePath), Application.Settings.LanguageCode == "ja" ? "Resources.ja.resx" : "Resources.resx");
ResXResourceSet resx = new ResXResourceSet(resxPath);


var selectedItem = DrawComponentBar.SelectedItem;

// 作図部品一覧ウィンドウでアイテムが選択されていない場合
if(selectedItem == null)
{
  MessageBox.Show(resx.GetString("SelectItemMessage"));
  return;
}

// 属性を取得
var attributes = selectedItem.MasterDrawComponent.Attributes;

// 作図部品に属性が設定されていない場合
if(attributes.Count == 0)
{
  MessageBox.Show(resx.GetString("NonAttributesMessage"));
  return;
}

// 属性をテキストに変換
string copyText;
foreach(var attribute in attributes)
{
  string name = attribute.Name.Replace(",", escCh);
  string value = attribute.Value.Replace(",", escCh);
  copyText += name + "," + value + "\r\n";
}

// クリップボードにコピー
Clipboard.SetText(copyText);

// ステータスバーにインフォメーションを表示
StatusBar.SetInformation(resx.GetString("CopiedMessage"), 3000);
;
